## org.eclipse.datatools.connectivity.drivers.jdbc
Class JDBCPasswordPropertyPersistenceHook

    java.lang.Object
      org.eclipse.datatools.connectivity.PropertiesPersistenceHook
          org.eclipse.datatools.connectivity.drivers.jdbc.JDBCPasswordPropertyPersistenceHook

All Implemented Interfaces:
  IPropertiesPersistenceHook

Direct Known Subclasses:
  GenericDBPropertiesPersistenceHook

    public class JDBCPasswordPropertyPersistenceHook

extends PropertiesPersistenceHook
implements IPropertiesPersistenceHook

Copyright (c) 2006,2007 Sybase, Inc. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html Contributors: rcernich - initial API and implementation IBM Corporation - migrated to new wizard framework

Constructor Summary
`JDBCPasswordPropertyPersistenceHook()`

Method Summary
`boolean` `arePropertiesComplete(java.util.Properties props)` Allows the framework to determine whether or not a connection dialog needs to be displayed prior to opening a connection to the server (e.g.
`java.lang.String` `getConnectionPropertiesPageID()` Returns the ID of the property page used to collect the information required to make the property set complete.
`java.util.Properties` `getPersitentProperties(java.util.Properties props)` Returns the property set that should be persisted by the framework.

Methods inherited from class org.eclipse.datatools.connectivity.PropertiesPersistenceHook
`populateTransientProperties`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.connectivity.IPropertiesPersistenceHook
`populateTransientProperties`

Constructor Detail

### JDBCPasswordPropertyPersistenceHook

    public JDBCPasswordPropertyPersistenceHook()

Method Detail

### arePropertiesComplete

    public boolean arePropertiesComplete(java.util.Properties props)

  Description copied from interface: `IPropertiesPersistenceHook`
  Allows the framework to determine whether or not a connection dialog needs to be displayed prior to opening a connection to the server (e.g. authentication information is missing). This call is not intended to verify that the information will allow for a successful connection, just that the information is complete enough to make an attempt.

  Specified by:
    `arePropertiesComplete` in interface `IPropertiesPersistenceHook`
  Overrides:
    `arePropertiesComplete` in class `PropertiesPersistenceHook`
  Parameters:
    `props` - the property set to inspect
  Returns:
    true if the property set is complete; false if additional information must be specified.

### getPersitentProperties

    public java.util.Properties getPersitentProperties(java.util.Properties props)

  Description copied from interface: `IPropertiesPersistenceHook`
  Returns the property set that should be persisted by the framework. This allows extensions to prevent certain properties from being persisted by the framework (e.g. authentication information, derived properties, etc.). This method is invoked by the framework just prior to the properties being persisted.

  Specified by:
    `getPersitentProperties` in interface `IPropertiesPersistenceHook`
  Overrides:
    `getPersitentProperties` in class `PropertiesPersistenceHook`
  Parameters:
    `props` - the properties currently associated with a connection profile
  Returns:
    the properties to be persisted by the framework

### getConnectionPropertiesPageID

    public java.lang.String getConnectionPropertiesPageID()

  Description copied from interface: `IPropertiesPersistenceHook`
  Returns the ID of the property page used to collect the information required to make the property set complete.

  Specified by:
    `getConnectionPropertiesPageID` in interface `IPropertiesPersistenceHook`
  Overrides:
    `getConnectionPropertiesPageID` in class `PropertiesPersistenceHook`
  Returns:
    the ID of the property page used to collect the missing required properties